
#ifndef MATRIX_H
#define MATRIX_H

#ifndef JACOBI_C
extern void jacobi(int n,double a[],double d[],double v[]);
#endif

#ifndef MATRIX_C
extern void mat_vec(int n,double a[],double v[],double w[]);
extern void mat_add(int n,double a[],double b[],double c[]);
extern void mat_sub(int n,double a[],double b[],double c[]);
extern void mat_mul(int n,double a[],double b[],double c[]);
extern void mat_mul_tr(int n,double a[],double b[],double c[]);
extern void mat_sym(int n,double a[]);
extern void mat_inv(int n,double a[],double ainv[],double *k);
extern double mat_trace(int n,double a[]);
#endif

#endif
